View Issue Details

IDProjectCategoryView StatusLast Update
0001062SOGoBackend Generalpublic2012-11-18 12:31
Reporterjanfrode Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.4 
Fixed in Version2.0.2 
Summary0001062: Following Filesystem Hierarchy Standard for configuration files
Description

I'm thinking about writing an SElinux module for SOGo, but really don't like the default /home/sogo directory structure, and the "sogo" account really shouldn't need to be an interactive account. And before I write the policy, it would be great to get the filesystem layout right. I doubt an selinux policy with daemon configuration files being in /home/sogo will be accepted by the upstream reference policy.

Are anybody running SOGo using "normal" Filesystem Hierarchy Standard (FHS) layout of the files? As a first hack, would there be any problem with keeping the configuration directory ~sogo/GNUstep in /etc/sogo and just have a symlink in ~sogo/GNUstep pointing to it? Or make /etc/sogo be the home-directory of the non-interactive sogo-user, and populate the /etc/sogo/GNUstep directory with configurations there ?

TagsNo tags attached.

Activities

ludovic

ludovic

2010-12-28 14:52

administrator   ~0001974

I think making /etc/sogo the home directory of the sogo user might be a more elegant solution. Just try it, it's trivial.

ludovic

ludovic

2012-11-18 12:31

administrator   ~0004897

With 2.0.2, it's now possible to use /etc/sogo for the configuration file.

Issue History

Date Modified Username Field Change
2010-12-25 17:57 janfrode New Issue
2010-12-28 14:52 ludovic Note Added: 0001974
2012-11-18 12:31 ludovic Note Added: 0004897
2012-11-18 12:31 ludovic Status new => closed
2012-11-18 12:31 ludovic Resolution open => fixed
2012-11-18 12:31 ludovic Fixed in Version => 2.0.2